<?php
/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: csv.php,v 1.5 2003/06/02 23:34:27 vollmerk Exp $
 $Source: /data/cvsroot/maint/docs/csv.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Comma Seperated Value Generater
	This tool will create a CSV of hosts for this zone and then
	mail it to the currently logged in user.

*/

/* Start House Keeping */

	require("../modules/config.php");

	// make sure they are supposed to be here
	check_session();

	$title = "E-mail CSV to me";

	//setup the user env
	setup_user_environment($action, $zone_id);

/* End House Keeping */


/*!
	@function send_csv
	@discussion Takes their selection and sends the approiate cvs to them in e-mail
	@param $cvs_type	The Type of CVS they want, host/cname/mx/flo/all
*/
if ( $action == 'send_csv' ) {

	if ($csv_type == "host" or $csv_type == "all") {
		$hosts = $conf['zone']->hosts();
	}
	if ($csv_type == "cname" or $csv_type == "all") {
		$cnames = $conf['zone']->cnames();
	}
	if ($csv_type == "mx" or $csv_type == "all") {
		$mxs = $conf['zone']->mxs(); 
	}
	if ($conf['modules']->modules['flo']->enabled) {
		if ($csv_type == "flo") {
			$flo = new Flo(0);
			$flo_hosts = $conf['zone']->hosts();
			$flos = $flo->get_flos($flo_hosts,$date);
		} // if cvs type == flo
	}
	
	// actually do the work
	
	$email = $user->username . "@onid.orst.edu";
	deliver_csv($email, $conf['zone']->name, $hosts,$cnames,$mxs,$flos);
	$action = 'delivered';
} // if send_cvs

show_template('header');

?>

<font class="header1"><?= $title ?></font>

<? 
	if ( $action == 'delivered' ) {
	?>
		<p>The CSV file has been emailed to you.</p>
	<?
	}
	else {
		show_template('csv_request'); 
	} // else 
?>

<?php show_template('footer'); ?>
